# Wildcards
*.8
*.a
*.ao
*.d
*.dSYM
*.db
*.dll
*.dylib
*.exp
*.lib
*.lnk
*.ncb
*.o
*.obj
*.opendb
*.opendf
*.opensdf
*.opt
*.out
*.pc
*.pdb
*.plg
*.pyc
*.s
*.sdf
*.so
*.suo
*.tgz
*.user
*.vcproj.*.*.user
*.vcxproj.user
*_debug
*_release
bazel-*
cygicudata*
libicu*
libicutest*
libsicu*
libsicutest*
output-*.cpp
perf-*.xml
test-*.xml

# Directories
.idea/
.vs/
.vscode/
ARM/
ARM64/
Debug/
Generated[!!-~]Files/
Release/
__pycache__/
arm/
arm64/
bin/
debug/
doc/
lib/
!tools/cldr/lib
out/
release/
tmp/
x64/
x86/

# Files
Makefile
Makefile.local
build-local.properties
icupkg.inc
ipch
pkgdata.inc
pkgdataMakefile
rules.mk

!icu4c/source/samples/csdet/Makefile

# Directory specific wildcards
icu4c/source/extra/uconv/resources/*.res
icu4c/source/perf-*.xml
icu4c/source/samples/udata/*.dat
icu4c/source/samples/ufortune/resources/*.dat
icu4c/source/samples/ufortune/resources/*.res
icu4c/source/samples/uresb/*.res
icu4c/source/test-*.xml
icu4c/source/test/hdrtst/ht_*
icu4c/source/test/perf/howExpensiveIs/*.xml
icu4c/source/tools/gendict/*.1
icu4c/source/tools/genrb/*.1
icu4c/source/tools/genrb/derb_*
icu4c/source/tools/genren/urename.*
icu4c/source/tools/makeconv/*.1
icu4c/source/tools/pkgdata/*.1
icu4j/*.jar
icu4j/lib/*.jar
tools/multi/packages/*.jar
tools/release/java/APIChangeReport*

icu4c/source/tools/icuinfo/icuplugins*.txt
!icu4c/source/tools/icuinfo/icuplugins_windows_sample.txt

# Specific file names
icu4c/binARM
icu4c/bin32uwp
icu4c/bin64
icu4c/binARM64
icu4c/bin64uwp
icu4c/binARMUWP
icu4c/binARM64UWP
icu4c/commondata
icu4c/include
icu4c/libARM
icu4c/lib32uwp
icu4c/lib64
icu4c/libARM64
icu4c/lib64uwp
icu4c/libARMuwp
icu4c/libARM64uwp
icu4c/source/Doxyfile
icu4c/source/README
icu4c/source/autom4te.cache
icu4c/source/common/common.res
icu4c/source/common/icucfg.h
icu4c/source/common/svchook.mk
icu4c/source/config.cache
icu4c/source/config.log
icu4c/source/config.status
icu4c/source/config/Makefile.inc
icu4c/source/config/icu-config
icu4c/source/config/icu-config.1
icu4c/source/config/icu.pc
icu4c/source/config/icucross.inc
icu4c/source/config/icucross.mk
icu4c/source/config/icuinfo.xml
icu4c/source/configure-local.mk
icu4c/source/data/build-dir
icu4c/source/data/build-local
icu4c/source/data/data
icu4c/source/data/obj
icu4c/source/data/packagedata
icu4c/source/data/uni-core-data
icu4c/source/dist
icu4c/source/extra/scrptrun/scrptrun.d
icu4c/source/extra/scrptrun/scrptrun.o
icu4c/source/extra/scrptrun/srtest
icu4c/source/extra/scrptrun/srtest.d
icu4c/source/extra/scrptrun/srtest.o
icu4c/source/extra/scrptrun/srtest.exe
icu4c/source/extra/uconv/pkgdatain.txt
icu4c/source/extra/uconv/uconv
icu4c/source/extra/uconv/uconv.1
icu4c/source/extra/uconv/uconv.plg
icu4c/source/extra/uconv/uconvmsg
icu4c/source/i18n/i18n.res
icu4c/source/icudefs.local
icu4c/source/icudefs.mk
icu4c/source/io/io.res
icu4c/source/layoutex/layoutex.res
icu4c/source/samples/all/all.ncb
icu4c/source/samples/all/all.suo
icu4c/source/samples/break/break
icu4c/source/samples/break/break.exe
icu4c/source/samples/cal/icucal
icu4c/source/samples/cal/icucal.exe
icu4c/source/samples/case/case
icu4c/source/samples/case/case.exe
icu4c/source/samples/citer/citer
icu4c/source/samples/citer/citer.exe
icu4c/source/samples/csdet/csdet
icu4c/source/samples/csdet/csdet.exe
icu4c/source/samples/date/icudate
icu4c/source/samples/date/icudate.exe
icu4c/source/samples/datefmt/datefmt
icu4c/source/samples/msgfmt/msgfmt
icu4c/source/samples/numfmt/numfmt
icu4c/source/samples/numfmt/numfmt.exe
icu4c/source/samples/props/props
icu4c/source/samples/props/props.exe
icu4c/source/samples/translit/translit
icu4c/source/samples/translit/translit.exe
icu4c/source/samples/uciter8/uciter8
icu4c/source/samples/uciter8/uciter8.exe
icu4c/source/samples/ucnv/convsamp
icu4c/source/samples/ucnv/data40.utf16
icu4c/source/samples/udata/reader
icu4c/source/samples/udata/reader.exe
icu4c/source/samples/udata/writer
icu4c/source/samples/udata/writer.exe
icu4c/source/samples/ufortune/ufortune
icu4c/source/samples/ufortune/ufortune.exe
icu4c/source/samples/ugrep/ugrep
icu4c/source/samples/ugrep/ugrep.exe
icu4c/source/samples/uresb/uresb
icu4c/source/samples/uresb/uresb.exe
icu4c/source/samples/ustring/ustring
icu4c/source/samples/ustring/ustring.exe
icu4c/source/stubdata/stubdatabuilt.txt
icu4c/source/test/cintltst/cintltst
icu4c/source/test/cintltst/cintltst.exe
icu4c/source/test/intltest/intltest
icu4c/source/test/intltest/intltest.exe
icu4c/source/test/iotest/iotest
icu4c/source/test/iotest/iotest.exe
icu4c/source/test/letest/letest
icu4c/source/test/letest/letest.exe
icu4c/source/test/perf/DateFmtPerf/DateFmtPerf
icu4c/source/test/perf/DateFmtPerf/DateFmtPerf.d
icu4c/source/test/perf/charperf/charperf
icu4c/source/test/perf/collationperf/collperf
icu4c/source/test/perf/collationperf/collperf.exe
icu4c/source/test/perf/collperf/collperf
icu4c/source/test/perf/collperf2/collperf2
icu4c/source/test/perf/collperf2/collperf2.d
icu4c/source/test/perf/howExpensiveIs/howExpensiveIs
icu4c/source/test/perf/normperf/normperf
icu4c/source/test/perf/perldriver/Common.pl
icu4c/source/test/perf/ubrkperf/ubrkperf
icu4c/source/test/perf/unisetperf/unisetperf
icu4c/source/test/perf/usetperf/usetperf
icu4c/source/test/perf/ustrperf/charperf
icu4c/source/test/perf/ustrperf/stringperf
icu4c/source/test/perf/utfperf/utfperf
icu4c/source/test/perf/utrie2perf/utrie2perf
icu4c/source/test/perf/utrie2perf/utrie2perf.d
icu4c/source/test/testmap/testmap
icu4c/source/test/testmap/testmap.plg
icu4c/source/tools/genbrk/genbrk
icu4c/source/tools/genbrk/genbrk.1
icu4c/source/tools/genccode/genccode
icu4c/source/tools/genccode/genccode.8
icu4c/source/tools/gencfu/gencfu
icu4c/source/tools/gencfu/gencfu.1
icu4c/source/tools/gencfu/gencfu.exe
icu4c/source/tools/gencmn/gencmn
icu4c/source/tools/gencmn/gencmn.8
icu4c/source/tools/gencmn/gencmn.[0-9]
icu4c/source/tools/gencnval/gencnval
icu4c/source/tools/gencnval/gencnval.1
icu4c/source/tools/gencnval/gencnval.[0-9]
icu4c/source/tools/gencolusb/extract_unsafe_backwards
icu4c/source/tools/gencolusb/verify_uset
icu4c/source/tools/gennorm2/gennorm2
icu4c/source/tools/gennorm2/gennorm2.[0-9]
icu4c/source/tools/genrb/derb
icu4c/source/tools/genrb/derb.[0-9]
icu4c/source/tools/genrb/genrb
icu4c/source/tools/genrb/genrb.[0-9]
icu4c/source/tools/genrb/temp
icu4c/source/tools/genren/ICUunrenamed
icu4c/source/tools/gensprep/gensprep
icu4c/source/tools/gensprep/gensprep.[0-9]
icu4c/source/tools/gensprep/gensprep.plg
icu4c/source/tools/gentest/gentest
icu4c/source/tools/gentest/gentest.exe
icu4c/source/tools/icuinfo/icuinfo
icu4c/source/tools/icuinfo/icuinfo.exe
icu4c/source/tools/icupkg/icupkg
icu4c/source/tools/icupkg/icupkg.[0-9]
icu4c/source/tools/icuswap/icuswap
icu4c/source/tools/icuswap/icuswap.[0-9]
icu4c/source/tools/makeconv/makeconv
icu4c/source/tools/makeconv/makeconv.[0-9]
icu4c/source/tools/pkgdata/pkgdata
icu4c/source/tools/pkgdata/pkgdata.[0-9]
icu4c/source/uconfig.h.prepend
icu4j/.project
icu4j/eclipse
tools/multi/proj/icu4cscan/cooked
tools/multi/proj/icu4cscan/dtdcache
tools/multi/proj/icu4cscan/jxml
tools/multi/proj/icu4cscan/xml
tools/release/c/uconfigtest
tools/release/c/uconfigtest.local
tools/release/java/classes
tools/unicode/c/genprops/genprops
tools/unicode/c/genprops/genprops.[0-9]
tools/unicode/c/genuca/genuca
tools/unicode/c/genuca/genuca.8
tools/unicode/c/icudefs.txt
